Next: signbit, Previous: round, Up: Math

### 1.50 `scalbn`, `scalbnf`, `scalbln`, `scalblnf`–scale by power of FLT_RADIX (=2)

Synopsis

         #include <math.h>
         double scalbn(double x, int n);
         float scalbnf(float x, int n);
         double scalbln(double x, long int n);
         float scalblnf(float x, long int n);

Description
The `scalbn` and `scalbln` functions compute x times FLT_RADIX to the power n. efficiently. The result is computed by manipulating the exponent, rather than by actually performing an exponentiation or multiplication. In this floating-point implementation FLT_RADIX=2, which makes the `scalbn` functions equivalent to the `ldexp` functions.

Returns
x times 2 to the power n. A range error may occur.

Portability
ANSI C, POSIX

See Also
`ldexp`